Get validator list
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/validators \
--header 'x-api-key: <api-key>'{
"content": [
{
"validator": "<string>",
"contractId": "<string>",
"templateId": "<string>",
"dso": "<string>",
"sponsor": "<string>",
"sponsorName": "<string>",
"sponsorImg": "<string>",
"lastActiveAt": 123,
"lastUpdatedAt": 123,
"version": "<string>",
"contactPoint": "<string>",
"active": true,
"validatorName": "<string>",
"validatorImg": "<string>",
"totalRewards": 123
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Validators
Get validator list
Retrieve paginated list of Validators
GET
/
v1
/
validators
Get validator list
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/validators \
--header 'x-api-key: <api-key>'{
"content": [
{
"validator": "<string>",
"contractId": "<string>",
"templateId": "<string>",
"dso": "<string>",
"sponsor": "<string>",
"sponsorName": "<string>",
"sponsorImg": "<string>",
"lastActiveAt": 123,
"lastUpdatedAt": 123,
"version": "<string>",
"contactPoint": "<string>",
"active": true,
"validatorName": "<string>",
"validatorImg": "<string>",
"totalRewards": 123
}
],
"pageable": {
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"pageSize": 123,
"pageNumber": 123,
"offset": 123,
"paged": true,
"unpaged": true
},
"last": true,
"totalPages": 123,
"totalElements": 123,
"totalCount": 123,
"size": 123,
"number": 123,
"sort": {
"sorted": true,
"empty": true,
"unsorted": true
},
"first": true,
"numberOfElements": 123,
"empty": true
}Authorizations
Query Parameters
Sorting parameter.
Available options:
LAST_ACTIVE Filter validators by status.
Available options:
ALL, ACTIVE, INACTIVE Queried API page.
Required range:
0 <= x <= 50Number of queried entries.
Required range:
1 <= x <= 100Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
Available options:
ASC, DESC Response
200 - */*
OK
⌘I